## ergochat-ldap 0.0.1+ds1

=== Makefile ===
.PHONY: all build test gofmt

all: build

build:
	go build -v .

test:
	cd ldap && go test . && go vet .
	go vet .
	./.check-gofmt.sh

gofmt:
	./.check-gofmt.sh --fix

## ergochat-ldap 0.0.1%2Bds1

=== debian/control ===
Source: ergochat-ldap
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Martina Ferrari <tina@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-golang,
 golang-any,
 golang-github-go-ldap-ldap-dev,
 golang-gopkg-yaml.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/ergochat-ldap
Vcs-Git: https://salsa.debian.org/go-team/packages/ergochat-ldap.git
Homepage: https://github.com/ergochat/ergo-ldap
XS-Go-Import-Path: github.com/ergochat/ergo-ldap

Package: ergochat-ldap
Section: net
Architecture: any
Depends:
 ergochat,
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: LDAP authentication plugin for Ergo IRC server
 This is an authentication plugin for Ergo that defers password checking
 to an LDAP server.

## ergochat-ldap 0.0.1+ds1

=== debian/changelog ===
ergochat-ldap (0.0.1+ds1-1) unstable; urgency=medium

  * Initial release (Closes: 1095906)

 -- Martina Ferrari <tina@debian.org>  Thu, 13 Feb 2025 16:21:22 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/ergo-ldap _build/bin/ergochat-ldap

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/ergochat/ergo-ldap/tags .*/v?(\d\S*)\.tar\.gz debian
